# RPM specfile for glade2 module
# Generated Wed Nov 19 20:38:33 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.16.2.2 2003/11/06 23:27:23 clahey Exp $

%define nam	glade2
%define ver	2.0.0
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	glade2
Version: 	2.0.0
Release:	0.ximian.6.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://glade.pn.org/
Source0:	glade-2.0.0.tar.bz2
Patch0:		glade2-ximian-menus.patch
Summary:	Tools for building GTK+ 2.x graphical interfaces
Group:		Development/Tools
Provides:	ximian-glade2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	scrollkeeper

%description

GLADE is a free user interface builder for GTK+ and GNOME. GLADE can
produce C source code; C++, Ada95, Python and Perl support is also
available, via external tools which process the XML interface
description files output by GLADE. GLADE supports most GTK+ 2.x
widgets. Support for styles, however, is not complete.



Install glade if you need an interface builder for GTK+ 2.x and GNOME 2.x.


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO
/usr/bin/glade-2
/usr/*/locale/*
/usr/share/applications/*
/usr/share/glade-2
/usr/share/pixmaps/*
/usr/share/gnome/help/*
/usr/share/omf/*


%post


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n glade-2.0.0
    ;;
all)
%setup  -q -n glade-2.0.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 2.0.0-0.ximian.6.1
- Summary: New build.
- New automated build.

* Tue Apr 29 2003 Ximian, Inc.

- Version: 1:1.1.3-3.ximian.2
- Summary: New build.
- New automated build.

* Mon Sep 23 2002 Ximian, Inc.

- Version: 1:1.1.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Aug 9 2002 Ximian, Inc.

- Version: 1:1.1.1-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Jul 29 2002 Ximian, Inc.

- Version: 1:1.1.0-1.ximian.1
- Summary: New build.
- New automated build.

